public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/lltag/
Date: Sat, 22 Aug 2020 16:06:15 +0000 (UTC)	[thread overview]
Message-ID: <1598112351.1af5296458ef84ae77b4eaa0a416186a8a3063ba.asturm@gentoo> (raw)

commit:     1af5296458ef84ae77b4eaa0a416186a8a3063ba
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 21 21:33:59 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 16:05:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1af52964

media-sound/lltag: 0.14.6 version bump, EAPI-7 bump

Closes: https://bugs.gentoo.org/699918
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/lltag/Manifest            |  1 +
 media-sound/lltag/lltag-0.14.6.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/media-sound/lltag/Manifest b/media-sound/lltag/Manifest
index a7a7b1a9d9b..c56c0c80256 100644
--- a/media-sound/lltag/Manifest
+++ b/media-sound/lltag/Manifest
@@ -1,2 +1,3 @@
 DIST lltag-0.14.4.tar.bz2 48137 BLAKE2B 0dd209262ba15adb487642c0a15c2ee0504f0fa376763f01e12e9909bfebc47318fe671dec9057efbd7db06f1c5f55bb39aa35de043647f4ca86cf87442743a6 SHA512 d2dbc513ce5e75a808acb7676a2513ece34322d134d52e1f5ea44f51b7c134699a0a8e368265c2594fd275873e4908a21af135c8714278954d0b45f2fc239bf7
 DIST lltag-0.14.5.tar.bz2 48035 BLAKE2B 15352a388fd96882d78803905c12074288b6084b72c46a5ea15a2dbe504bd416201315c0047492329f06413100ca432040a974dbe56869772dd0a36d3d18a927 SHA512 64d16ae1bfb920f2e10add6728bdbe261662688b5c99e4cc92ffa5d7dd5fe596c6c3ccbe61b432a4594e49003fc981b20588def9523a65ee934418afb512bedd
+DIST lltag-0.14.6.tar.gz 57162 BLAKE2B 9b21fa026644722bdb0cbb91e3a5f27247c4e8470273823aca71b71253e5ee50703e3cb14b1c4e8e6079e9d5d46dccc03d7a4892782c1c53189d5a13992ddd11 SHA512 9eb488ac1444ec11b02ca9c396903b5c6ef1e2f19558a6ef9d5e8d3fadb639fad902b4d6cdde8f4374768fdea553cfd6550c4151df9a755c9ae4a5652128a836

diff --git a/media-sound/lltag/lltag-0.14.6.ebuild b/media-sound/lltag/lltag-0.14.6.ebuild
new file mode 100644
index 00000000000..c4d43b6f07c
--- /dev/null
+++ b/media-sound/lltag/lltag-0.14.6.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit perl-module
+
+DESCRIPTION="Automatic command-line mp3/ogg/flac file tagger and renamer"
+HOMEPAGE="http://bgoglin.free.fr/lltag/ https://github.com/bgoglin/lltag"
+SRC_URI="https://github.com/bgoglin/lltag/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="flac mp3 ogg readline"
+
+RDEPEND="
+	dev-perl/libwww-perl
+	flac? ( media-libs/flac )
+	mp3? (
+		dev-perl/MP3-Tag
+		media-sound/mp3info
+	)
+	ogg? ( media-sound/vorbis-tools )
+	readline? ( dev-perl/Term-ReadLine-Perl )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}-${P}"
+
+pkg_setup() {
+	mylltagopts=(
+		DESTDIR="${D}"
+		PREFIX=/usr
+		SYSCONFDIR=/etc
+		MANDIR=/usr/share/man
+		PERL_INSTALLDIRS=vendor
+		DOCDIR=/usr/share/doc/${PF}
+	)
+}
+
+src_compile() {
+	emake "${mylltagopts[@]}"
+}
+
+src_install() {
+	emake "${mylltagopts[@]}" install{,-doc,-man}
+	dodoc Changes
+	perl_delete_localpod
+	# Move config to recommended location
+	mv "${D}/usr/share/doc/${PF}"/config "${D}"/etc/lltag/ || die
+}


             reply	other threads:[~2020-08-22 16:06 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-22 16:06 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-10  7:48 [gentoo-commits] repo/gentoo:master commit in: media-sound/lltag/ Miroslav Šulc
2022-03-09 23:12 Sam James
2020-10-11 21:33 Andreas Sturmlechner
2020-08-22 16:06 Andreas Sturmlechner
2017-08-01  8:28 Alexis Ballier
2017-07-30 14:43 David Seifert
2016-08-21  7:09 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1598112351.1af5296458ef84ae77b4eaa0a416186a8a3063ba.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox